package cn.com.infosec.asn1.isismtt;

import cn.com.infosec.asn1.DERObjectIdentifier;

public interface ISISMTTObjectIdentifiers {
   DERObjectIdentifier id_isismtt;
   DERObjectIdentifier id_isismtt_cp;
   DERObjectIdentifier id_isismtt_cp_accredited;
   DERObjectIdentifier id_isismtt_at;
   DERObjectIdentifier id_isismtt_at_dateOfCertGen;
   DERObjectIdentifier id_isismtt_at_procuration;
   DERObjectIdentifier id_isismtt_at_admission;
   DERObjectIdentifier id_isismtt_at_monetaryLimit;
   DERObjectIdentifier id_isismtt_at_declarationOfMajority;
   DERObjectIdentifier id_isismtt_at_iCCSN;
   DERObjectIdentifier id_isismtt_at_PKReference;
   DERObjectIdentifier id_isismtt_at_restriction;
   DERObjectIdentifier id_isismtt_at_retrieveIfAllowed;
   DERObjectIdentifier id_isismtt_at_requestedCertificate;
   DERObjectIdentifier id_isismtt_at_namingAuthorities;
   DERObjectIdentifier id_isismtt_at_certInDirSince;
   DERObjectIdentifier id_isismtt_at_certHash;
   DERObjectIdentifier id_isismtt_at_nameAtBirth;
   DERObjectIdentifier id_isismtt_at_additionalInformation;
   DERObjectIdentifier id_isismtt_at_liabilityLimitationFlag;

   static {
      DERObjectIdentifier var0;
      DERObjectIdentifier var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.3.36.8");
      id_isismtt = var10000;
      DERObjectIdentifier var1;
      var10000 = var1 = new DERObjectIdentifier;
      var10000.<init>(var0 + ".1");
      id_isismtt_cp = var10000;
      id_isismtt_cp_accredited = new DERObjectIdentifier(var1 + ".1");
      var10000 = var1 = new DERObjectIdentifier;
      var10000.<init>(var0 + ".3");
      id_isismtt_at = var10000;
      id_isismtt_at_dateOfCertGen = new DERObjectIdentifier(var1 + ".1");
      id_isismtt_at_procuration = new DERObjectIdentifier(var1 + ".2");
      id_isismtt_at_admission = new DERObjectIdentifier(var1 + ".3");
      id_isismtt_at_monetaryLimit = new DERObjectIdentifier(var1 + ".4");
      id_isismtt_at_declarationOfMajority = new DERObjectIdentifier(var1 + ".5");
      id_isismtt_at_iCCSN = new DERObjectIdentifier(var1 + ".6");
      id_isismtt_at_PKReference = new DERObjectIdentifier(var1 + ".7");
      id_isismtt_at_restriction = new DERObjectIdentifier(var1 + ".8");
      id_isismtt_at_retrieveIfAllowed = new DERObjectIdentifier(var1 + ".9");
      id_isismtt_at_requestedCertificate = new DERObjectIdentifier(var1 + ".10");
      id_isismtt_at_namingAuthorities = new DERObjectIdentifier(var1 + ".11");
      id_isismtt_at_certInDirSince = new DERObjectIdentifier(var1 + ".12");
      id_isismtt_at_certHash = new DERObjectIdentifier(var1 + ".13");
      id_isismtt_at_nameAtBirth = new DERObjectIdentifier(var1 + ".14");
      id_isismtt_at_additionalInformation = new DERObjectIdentifier(var1 + ".15");
      id_isismtt_at_liabilityLimitationFlag = new DERObjectIdentifier("0.2.262.1.10.12.0");
   }
}
